/***************************************************************************
                          moneylcd.cpp  -  description
                             -------------------
    begin                : Wed Mar 23 21:26:43 CEST 2005
    copyright            : (C) 2005 by Thomas Friedrichsmeier
    email                : tfry@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 
#ifndef MONEYLCD_H
#define MONEYLCD_H

#include <qlcdnumber.h>

/**
This LCD number displays values with 2 digits precision and changes to red if negative.

@author Thomas Friedrichsmeier
*/
class MoneyLCD : public QLCDNumber {
public:
 	MoneyLCD (QWidget *parent = 0);

	~MoneyLCD ();

/** use instead of display () to assure 2 digit precision and coloring */
	void setValue (float value);
};

#endif
